Skip to main content
GET
/
v0
/
payments
/
{id}
Get Payment
curl --request GET \
  --url https://api.paygentic.io/v0/payments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "payment",
  "amount": "<string>",
  "currency": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "paymentUrl": "<string>",
  "customerId": "<string>",
  "idempotencyKey": "<string>",
  "reference": "<string>",
  "metadata": {},
  "lineItems": [
    {
      "description": "<string>",
      "amount": "<string>",
      "quantity": 123
    }
  ],
  "expiresAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.paygentic.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Payment session ID

Response

Payment details

id
string
required

Unique payment identifier (pay_* prefixed).

object
enum<string>
default:payment
required
Available options:
payment
amount
string
required

Payment amount in decimal format (e.g. '10.50').

currency
string
required

ISO 4217 currency code (e.g. 'USD').

status
enum<string>
required

Current status of the payment.

Available options:
pending,
processing,
completed,
expired,
cancelled
createdAt
string<date-time>
required

When the payment was created.

paymentUrl
string

URL for the customer to complete the payment.

customerId
string

Customer ID if provided.

idempotencyKey
string

Client-provided idempotency key.

reference
string

Merchant-defined reference for this payment.

metadata
object

Merchant-provided key-value metadata.

lineItems
object[]

Breakdown of what the customer is being charged for.

expiresAt
string<date-time>

When the payment expires.